aboutsummaryrefslogtreecommitdiffstats
path: root/packages/avahi/files
diff options
context:
space:
mode:
authorPhilipp Zabel <philipp.zabel@gmail.com>2007-03-28 09:24:20 +0000
committerPhilipp Zabel <philipp.zabel@gmail.com>2007-03-28 09:24:20 +0000
commit2fbac633f4f49ee742e8ff18a788ed6bb2031749 (patch)
tree0a6c37a34b964206c383857f98fc441fe82cea42 /packages/avahi/files
parent90f4b2907d7755fb16f89d4184202b8278ff2cfd (diff)
downloadopenembedded-2fbac633f4f49ee742e8ff18a788ed6bb2031749.tar.gz
avahi: add scripts to start avahi-autoipd from udhcpc
Diffstat (limited to 'packages/avahi/files')
-rw-r--r--packages/avahi/files/.mtn2git_empty0
-rwxr-xr-xpackages/avahi/files/00avahi-autoipd10
-rwxr-xr-xpackages/avahi/files/99avahi-autoipd10
3 files changed, 20 insertions, 0 deletions
diff --git a/packages/avahi/files/.mtn2git_empty b/packages/avahi/files/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/avahi/files/.mtn2git_empty
diff --git a/packages/avahi/files/00avahi-autoipd b/packages/avahi/files/00avahi-autoipd
new file mode 100755
index 0000000000..a0ab814603
--- /dev/null
+++ b/packages/avahi/files/00avahi-autoipd
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+[ -z "$1" ] && echo "Error: should be called from udhcpc" && exit 1
+
+case "$1" in
+
+ deconfig|renew|bound)
+ /usr/sbin/avahi-autoipd -k $interface 2> /dev/null
+ ;;
+esac
diff --git a/packages/avahi/files/99avahi-autoipd b/packages/avahi/files/99avahi-autoipd
new file mode 100755
index 0000000000..234cdaa3eb
--- /dev/null
+++ b/packages/avahi/files/99avahi-autoipd
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+[ -z "$1" ] && echo "Error: should be called from udhcpc" && exit 1
+
+case "$1" in
+
+ leasefail)
+ /usr/sbin/avahi-autoipd -wD $interface 2> /dev/null
+ ;;
+esac